Subject: Cannot rerun 'guix system init'
From: Eric Bavier <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jun 2015 11:43:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I ran into this issue while doing a fresh install of Guix 0.8.2.  I had 
a typo in my declaration of the grub device (I had unintentionally left 
out the leading "/" on "/dev/sda"), so 'guix system init' failed when 
setting up grub.  I fixed the typo in the OS config and reran 'guix 
system init' but was greeted by an error about existing store 
directories.

I ended up needing to remove the /mnt/var, /mnt/grub, and /mnt/gnu/store 
before being able to successfully rerun 'guix system init'.

It would be useful for newcomers if recovering from mistakes were more 
trivial.

-- 
`~Eric